# Logger

Logger for Syslog

pypdevs.logger.debug(msg)

  Debug logging statement

  Parameters

    msg – the message to print

  Returns

    True – to allow it as an #assert statement

pypdevs.logger.error(msg)

  Error logging statement

  Parameters

    msg – the message to print

  Returns

    True – to allow it as an #assert statement

pypdevs.logger.info(msg)

  Informational logging statement

  Parameters

    msg – the message to print

  Returns

    True – to allow it as an #assert statement

pypdevs.logger.log(level, msg, logger)

  Do the actual logging at the specified level, but save it in case no logger exists yet

  Parameters

    - level – string representation of the function to call on the logger

    - msg – the message to log

  Returns

    True – to allow it as an #assert statement

pypdevs.logger.setLogger(loc, address, loglevel)

  Sets the logger object

  Parameters

    - loc – location of the server, to prepend to every logged message

    - address – the address of the syslog server in the form of (ip-address, port)

    - loglevel – the level of logging to perform, should be one specified in the logging module

pypdevs.logger.warn(msg)

  Warning logging statement

  Parameters

    msg – the message to print

  Returns

    True – to allow it as an #assert statement